Class | Fog::CurrentMachine
In: | lib/fog/core/current_machine.rb
Parent: | Object

### Methods

ip_address ip_address=

### Constants

AMAZON_AWS_CHECK_IP | = | 'http://checkip.amazonaws.com'

### Public Class methods

ip_address()

Get the ip address of the machine from which this command is run. It is recommended that you surround calls to this function with a timeout block to ensure optimum performance in the case where the amazonaws checkip service is unavailable.

@example Get the current ip address

      begin
        Timeout::timeout(5) do
          puts "Your ip address is #{Fog::CurrentMachine.ip_address}"
        end
      rescue Timeout::Error
        puts "Service timeout"
      end

@raise [Excon::Errors::Error] if the net/http request fails.

ip_address=(ip_address)

[Validate]